package algorithms;

import Jama.Matrix;
import java.io.Serializable;
import objects.Template;

public abstract class DistanceTemplates implements Serializable {

    private Matrix distanceTemplatesMatrix;

    public DistanceTemplates() {
    }

    public Matrix getDistanceTemplatesMatrix() {
        return distanceTemplatesMatrix;
    }
    
    public void setDistanceTemplatesMatrix(Matrix distanceTemplatesMatrix) {
        this.distanceTemplatesMatrix = distanceTemplatesMatrix;
    }

    public abstract double getDistance(Template template1, Template template2);
}
